import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onTrackEvent"];
import React from "react";
import PMAXAsssetsManagerView from "./PMAXAssetsManagerView";
import { EventsProvider } from "./events";

var AssetsManagerWrapper = function AssetsManagerWrapper(_ref) {
  var onTrackEvent = _ref.onTrackEvent,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(EventsProvider, {
    onTrack: onTrackEvent
  }, /*#__PURE__*/React.createElement(PMAXAsssetsManagerView, props));
};

export default AssetsManagerWrapper;